Module ij
Package ij.plugin

# Class CommandFinder

java.lang.Object
ij.plugin.CommandFinder

All Implemented Interfaces:
  `PlugIn`, `ActionListener`, `ItemListener`, `KeyListener`, `MouseListener`, `WindowListener`, `EventListener`

public class CommandFinder extends Object implements PlugIn, ActionListener, WindowListener, KeyListener, ItemListener, MouseListener

## Constructor Summary

Constructors
Constructor
Description
`CommandFinder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent ae)`
`void`
`findAllMenuItems()`
`void`
`itemStateChanged(ItemEvent ie)`
`void`
`keyPressed(KeyEvent ke)`
`void`
`keyReleased(KeyEvent ke)`
`void`
`keyTyped(KeyEvent ke)`
`protected String[]`
`makeRow(String command, ij.plugin.CommandFinder.CommandAction ca)`
`void`
`mouseClicked(MouseEvent e)`
`void`
`mouseEntered(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`
`void`
`parseMenu(String path, Menu menu)`
`protected void`
`populateList(String matchingSubstring)`
`void`
`previewLUT()`
`void`
`run(String initialSearch)`
Displays the Command Finder dialog.
`protected void`
`runCommand(String command)`
`void`
`windowActivated(WindowEvent e)`
`void`
`windowClosed(WindowEvent e)`
`void`
`windowClosing(WindowEvent e)`
`void`
`windowDeactivated(WindowEvent e)`
`void`
`windowDeiconified(WindowEvent e)`
`void`
`windowIconified(WindowEvent e)`
`void`
`windowOpened(WindowEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandFinder

public CommandFinder()

## Method Details

### makeRow

protected String[] makeRow(String command, ij.plugin.CommandFinder.CommandAction ca)

### populateList

protected void populateList(String matchingSubstring)

### actionPerformed

public void actionPerformed(ActionEvent ae)

Specified by:
  `actionPerformed` in interface `ActionListener`

### itemStateChanged

public void itemStateChanged(ItemEvent ie)

Specified by:
  `itemStateChanged` in interface `ItemListener`

### mouseClicked

public void mouseClicked(MouseEvent e)

Specified by:
  `mouseClicked` in interface `MouseListener`

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`

### mouseReleased

public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`

### mouseEntered

public void mouseEntered(MouseEvent e)

Specified by:
  `mouseEntered` in interface `MouseListener`

### mouseExited

public void mouseExited(MouseEvent e)

Specified by:
  `mouseExited` in interface `MouseListener`

### runCommand

protected void runCommand(String command)

### keyPressed

public void keyPressed(KeyEvent ke)

Specified by:
  `keyPressed` in interface `KeyListener`

### keyReleased

public void keyReleased(KeyEvent ke)

Specified by:
  `keyReleased` in interface `KeyListener`

### previewLUT

public void previewLUT()

### keyTyped

public void keyTyped(KeyEvent ke)

Specified by:
  `keyTyped` in interface `KeyListener`

### parseMenu

public void parseMenu(String path, Menu menu)

### findAllMenuItems

public void findAllMenuItems()

### run

public void run(String initialSearch)
Displays the Command Finder dialog. If a Command Finder window is already being displayed and `initialSearch` contains a valid query, it will be closed and a new one displaying the new search will be rebuilt at the same screen location.

Specified by:
  `run` in interface `PlugIn`
Parameters:
  `initialSearch` - The search string that populates Command Finder's search field. It is ignored if contains an invalid query (ie, if it is either `null` or `empty`).

### windowClosing

public void windowClosing(WindowEvent e)

Specified by:
  `windowClosing` in interface `WindowListener`

### windowActivated

public void windowActivated(WindowEvent e)

Specified by:
  `windowActivated` in interface `WindowListener`

### windowDeactivated

public void windowDeactivated(WindowEvent e)

Specified by:
  `windowDeactivated` in interface `WindowListener`

### windowClosed

public void windowClosed(WindowEvent e)

Specified by:
  `windowClosed` in interface `WindowListener`

### windowOpened

public void windowOpened(WindowEvent e)

Specified by:
  `windowOpened` in interface `WindowListener`

### windowIconified

public void windowIconified(WindowEvent e)

Specified by:
  `windowIconified` in interface `WindowListener`

### windowDeiconified

public void windowDeiconified(WindowEvent e)

Specified by:
  `windowDeiconified` in interface `WindowListener`